Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class SOMElementalType

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.type.SOMElementalType

Direct Known Subclasses:
  DerivedENTITY, PrimitiveAnyURI, PrimitiveBase64Binary, PrimitiveBinary, PrimitiveBoolean, PrimitiveDate, PrimitiveDateTime, PrimitiveDecimal, PrimitiveDouble, PrimitiveDuration, PrimitiveENTITY, PrimitiveFloat, PrimitiveGDay, PrimitiveGMonth, PrimitiveGMonthDay, PrimitiveGYear, PrimitiveGYearMonth, PrimitiveHexBinary, PrimitiveID, PrimitiveIDREF, PrimitiveNumber, PrimitiveQName, PrimitiveRecurringDuration, PrimitiveString, PrimitiveTime, PrimitiveTimeDuration, PrimitiveUriReference

public abstract class SOMElementalType
extends SOMType

abstract base class for all Primitive and Derived types.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`SOMElementalType()`

Method Summary
`java.lang.String` | `createDefault(java.util.Map restrictions)`
`java.util.Map` | `getTypeRestrictions()`
`boolean` | `isSchemaChild()` ElementalType's are always root level objects.
`boolean` | `isValid(java.lang.String value, java.util.Map restrictions)` validate the content.

Methods inherited from class com.bea.schema.type.SOMType
`getAllowedFacets, getID, getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMElementalType

    public SOMElementalType()

Method Detail

### isSchemaChild

    public boolean isSchemaChild()

  ElementalType's are always root level objects.

  Returns:
    true - overrides SOMObject
  Overrides:
    isSchemaChild in class SOMObject

### getTypeRestrictions

    public java.util.Map getTypeRestrictions()

### isValid

    public boolean isValid(java.lang.String value,
                           java.util.Map restrictions)

  validate the content. External restrictions override the internal type restrictions to attempt to validate the content of value.

  Parameters:
    `value` - content to be validated
    `restrictions` - a Map of SOMFacet values
  Returns:
    true if the content of value meets the type and external restrictions

### createDefault

    public java.lang.String createDefault(java.util.Map restrictions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)